> For the complete documentation index, see [llms.txt](https://40factory.gitbook.io/wilson/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://40factory.gitbook.io/wilson/3.11/rest-api/bots/set-bot-as-default.md).

# Set bot as default

## Request <a href="#request" id="request"></a>

### Url

```
PUT https://wilson.40mat.com/apif/v2/company/<company_id>/bot/<bot_id>/set-default
```

### Headers

<pre><code><strong>AUTH
</strong>Bearer "eyJ0eXAiOiJKV1QiLCJub25jZSI6IndUZXphSTNjdTNVYj..."
</code></pre>

### Parameters

```
No parameters are required for this endpoint.
```

### Body

```
No body is required for this endpoint.
```

***

## Response&#x20;

200

***

## Code example

{% tabs %}
{% tab title="Python" %}

```python
import requests

url = "https://wilson.40mat.com/apif/v2/company/<company_id>/bot/<bot_id>/set-default"

headers = {
  'Authorization': '••••••'
}

response = requests.request("PUT", url, headers=headers)

print(response.text)
```

{% endtab %}

{% tab title="cURL" %}

```powershell
curl --location --request PUT 'https://wilson.40mat.com/apif/v2/company/<company_id>/bot/<bot_id>/set-default' \
--header 'Authorization: ••••••' \
```

{% endtab %}
{% endtabs %}
